﻿


;-------------------------------------------------------------------------------
MainGuiShow: ; show main GUI
;-------------------------------------------------------------------------------

    Gui, Main: Default  ; target the MainGUI
    Gui, +LastFound     ; for WinMove
    Gui, Show, Hide     ; show window hiddenly

    ; restore saved size
    If (WinX != "Center")
        WinMove, WinX, WinY

    ; show main GUI
    Gui, Show

Return



;-------------------------------------------------------------------------------
#If WinActive("ahk_id " hMain) ; hotkeys for main GUI
;-------------------------------------------------------------------------------
    ^WheelUp::   Zoom("+")
    ^WheelDown:: Zoom("-")

#If ; context off



;-------------------------------------------------------------------------------
MainGuiClose:     ; {Alt-F4} pressed, [X] clicked
;-------------------------------------------------------------------------------
ContextMenu_Exit: ; exit via context menu
;-------------------------------------------------------------------------------
ExitApp



;-------------------------------------------------------------------------------
MainGuiEscape:    ; {Esc} pressed
;-------------------------------------------------------------------------------
    Gui, Minimize

Return



;-------------------------------------------------------------------------------
MainGuiSize: ; resize events
;-------------------------------------------------------------------------------
    IsMinimized := (A_EventInfo = 1)

Return



;-------------------------------------------------------------------------------
ContextMenu_Style: ; apply a new style
;-------------------------------------------------------------------------------
    For each, Style in Styles
        Menu, ContextMenu, UnCheck, %Style%
    Menu, ContextMenu, Check, %A_ThisMenuItem%

    SetTimer, Animation, Off
    Gosub, delete_Gdip_Utensils
    get_Colours(ActiveStyle := A_ThisMenuItem)
    Gosub, Write_INI
    Gosub, create_Gdip_Utensils
    Gosub, StartAnimation

Return



;-------------------------------------------------------------------------------
ContextMenu_AlwaysOnTop: ; toggle
;-------------------------------------------------------------------------------
    AlwaysOnTop := Not AlwaysOnTop
    Menu, ContextMenu, ToggleCheck, AlwaysOnTop
    WinSet, AlwaysOnTop, Toggle, ahk_id %hMain%
    Gosub, Write_INI

Return
