﻿


;-------------------------------------------------------------------------------
GuiCreate: ; create the graphical user interfaces
;-------------------------------------------------------------------------------

    ; Main GUI
    Gui, Main: New, +HWNDhMain -Caption, %AppName% v%Version%
    Gui, +0x00400000 ; WS_DLGFRAME (3D border)
    Gui, Margin, 5, 5
    Gui, Add, Text, w%Width% h%Height% HWNDhParent 0x1000 ; SS_SUNKEN

    ; Face GUI
    Gui, Face: New, +HWNDhFace
    Gui, +E0x00080000 ; WS_EX_LAYERED (Gdip)
    Gui, +E0x00000020 ; WS_EX_TRANSPARENT (click through)
    Gui, +0x40000000 -0x80000000 ; +WS_CHILD -WS_POPUP (SetParent)
    DllCall("SetParent", "Ptr", hFace, "Ptr", hParent)
    Gui, Show

Return



;-------------------------------------------------------------------------------
MenuCreate: ; create context menu
;-------------------------------------------------------------------------------
    Menu, ContextMenu, Add, AlwaysOnTop, ContextMenu_AlwaysOnTop
    Menu, ContextMenu, Add ; separator

    Styles := []
    Loop, Files, Styles/*.ini ; files, no folders, no recursion
    {
        Styles.Push(Style := SubStr(A_LoopFileName, 1, -4))
        Menu, ContextMenu, Add, %Style%, ContextMenu_Style
    }

    Menu, ContextMenu, Add ; separator
    Menu, ContextMenu, Add, Exit, ContextMenu_Exit

Return



;-------------------------------------------------------------------------------
ApplySettings: ; apply settings from ini-file
;-------------------------------------------------------------------------------
    get_Colours(ActiveStyle)
    Menu, ContextMenu, Check, %ActiveStyle%
    Gosub, create_Gdip_Utensils ; needs Colours[] and Zoom

    If (AlwaysOnTop) {
        DetectHiddenWindows, On
        WinSet, AlwaysOnTop, On, ahk_id %hMain%
        DetectHiddenWindows, Off
        Menu, ContextMenu, Check, AlwaysOnTop
    }

Return
