﻿


;-------------------------------------------------------------------------------
Handle_INI: ; handle ini-file
;-------------------------------------------------------------------------------
    Gosub, Prepare_INI
    IfExist, %AppName%.ini
        Gosub, Read_INI
    Else
        Gosub, Write_INI

Return



;-------------------------------------------------------------------------------
Prepare_INI: ; default values for ini-file dependent vars
;-------------------------------------------------------------------------------

    ; defaults for [Position]
    WinX := "Center"
    WinY := "Center"

    ; defaults for [Settings]
    ActiveStyle := "Neutral"
    AlwaysOnTop := True
    Zoom        := 1.00

Return



;-------------------------------------------------------------------------------
Read_INI: ; read settings from ini-file
;-------------------------------------------------------------------------------

    ; read [Position]
    IniRead, WinX, %AppName%.ini, Position, WinX, %WinX%
    IniRead, WinY, %AppName%.ini, Position, WinY, %WinY%

    ; read [Settings]
    IniRead, ActiveStyle, %AppName%.ini, Settings, ActiveStyle, %ActiveStyle%
    IniRead, AlwaysOnTop, %AppName%.ini, Settings, AlwaysOnTop, %AlwaysOnTop%
    IniRead, Zoom,        %AppName%.ini, Settings, Zoom,        %Zoom%

Return



;-------------------------------------------------------------------------------
Write_INI: ; write settings to ini-file
;-------------------------------------------------------------------------------

    ; write [Position]
    IniWrite, %WinX%, %AppName%.ini, Position, WinX
    IniWrite, %WinY%, %AppName%.ini, Position, WinY

    ; write [Settings]
    IniWrite, %ActiveStyle%, %AppName%.ini, Settings, ActiveStyle
    IniWrite, %AlwaysOnTop%, %AppName%.ini, Settings, AlwaysOnTop
    IniWrite, %Zoom%,        %AppName%.ini, Settings, Zoom

Return
